Retrieve a specific identity by ID. If version is not provided, the latest version is returned.
Security
Bearer
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/identities/{identity-id}
- UAT environment with simulated currencyhttps://api.test.ripple.com/v2/identities/{identity-id}
- Production environmenthttps://api.ripple.com/v2/identities/{identity-id}
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/identities/146f3c51-c313-47ce-b6f2-691c5a238b3e?version=2' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Identity details.
The type of the identity
| Enum Value | Description |
|---|---|
| BENEFICIARY | Identity associated with the beneficiary. |
| ORIGINATOR | Identity associated with the party originating the payment. |
Example:"BENEFICIARY"
The time at which the identity was created
Example:"2023-11-02T18:26:00.000Z"
Lifecycle state of the identity: • ACTIVE - The identity exists and can be used. • BLOCKED - The identity exists but is restricted from use. • DEACTIVATED - The identity is inactive and cannot be used for new payments.
Enum:"ACTIVE""BLOCKED""DEACTIVATED"
Example:"ACTIVE"
The nickname for the identity provided at the time of identity creation
Example:"MyCompany"
Response
{ "identityId": "2f4ac57f-c5ba-4051-b51f-b3565778717b", "identityType": "BENEFICIARY", "createdAt": "2023-11-02T18:26:00.000Z", "identityState": "ACTIVE", "nickName": "MyCompany", "piiData": {}, "version": 2, "useCaseType": "BUSINESS" }